# com.amazon.redshift.plugin

## Classes

- AdfsCredentialsProvider
- AzureCredentialsProvider
- BasicJwtCredentialsProvider
- BasicNativeSamlCredentialsProvider
- BasicSamlCredentialsProvider
- BrowserAzureCredentialsProvider
- BrowserAzureOAuth2CredentialsProvider
- BrowserIdcAuthPlugin
- BrowserOktaSAMLCredentialsProvider
- BrowserSamlCredentialsProvider
- CommonCredentialsProvider
- IdpTokenAuthPlugin
- JwtCredentialsProvider
- OktaCredentialsProvider
- PingCredentialsProvider
- SamlCredentialsProvider

## Exceptions

- InternalPluginException